Retrieve Terms and Conditions Status
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/user/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/user/terms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/user/terms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/user/terms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/user/terms")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/user/terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"terms": [
{
"type": "general-tos",
"currentVersion": "TOS_GENERAL_VERSION_1",
"accepted": true,
"acceptedVersion": "TOS_GENERAL_VERSION_1",
"acceptedAt": "2024-08-20T12:34:56Z",
"url": "https://help.gnosispay.com/hc/en-us/articles/39723036951444-Gnosis-Pay-WebApp-Terms-of-Service"
},
{
"type": "card-monavate-tos",
"currentVersion": "TOS_CARD_VERSION_1",
"accepted": false,
"url": "https://help.gnosispay.com/hc/en-us/articles/39726634253076-Monavate-Cardholder-Terms-EEA"
},
{
"type": "cashback-tos",
"currentVersion": "TOS_CASHBACK_2024-08-01",
"accepted": false,
"url": "https://forum.gnosis.io/t/gip-110-should-the-gnosis-dao-create-and-fund-a-gnosis-pay-rewards-program-with-10k-gno/8837"
}
]
}{
"message": "<string>"
}{
"message": "Error: User not found"
}{
"error": "Internal server error"
}User
Retrieve Terms and Conditions Status
Returns the status of all terms and conditions, including whether the user has accepted the latest version, when they were accepted, and links to the terms documents.
GET
/
api
/
v1
/
user
/
terms
Retrieve Terms and Conditions Status
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/user/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/user/terms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/user/terms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/user/terms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/user/terms")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/user/terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"terms": [
{
"type": "general-tos",
"currentVersion": "TOS_GENERAL_VERSION_1",
"accepted": true,
"acceptedVersion": "TOS_GENERAL_VERSION_1",
"acceptedAt": "2024-08-20T12:34:56Z",
"url": "https://help.gnosispay.com/hc/en-us/articles/39723036951444-Gnosis-Pay-WebApp-Terms-of-Service"
},
{
"type": "card-monavate-tos",
"currentVersion": "TOS_CARD_VERSION_1",
"accepted": false,
"url": "https://help.gnosispay.com/hc/en-us/articles/39726634253076-Monavate-Cardholder-Terms-EEA"
},
{
"type": "cashback-tos",
"currentVersion": "TOS_CASHBACK_2024-08-01",
"accepted": false,
"url": "https://forum.gnosis.io/t/gip-110-should-the-gnosis-dao-create-and-fund-a-gnosis-pay-rewards-program-with-10k-gno/8837"
}
]
}{
"message": "<string>"
}{
"message": "Error: User not found"
}{
"error": "Internal server error"
}⌘I